PDF::API2::Resource::XObject::Form(3)

NAME
PDF::API2::Resource::XObject::Form

METHODS

$res = PDF::API2::Resource::XObject::Form->new $pdf
    Returns a form-resource object. base class for all types of form-xobjects.

$res = PDF::API2::Resource::XObject::Form->new_api $api, $name
    Returns a form resource object. This method is different from 'new' that it needs an PDF::API2-object rather than a Text::PDF::File-object.

($llx, $lly, $urx, $ury) = $res->bbox $llx, $lly, $urx, $ury
$res->resource $type, $key, $obj
    Adds a resource to the form.

    Example:

        $res->resource('Font',$fontkey,$fontobj);
        $res->resource('XObject',$imagekey,$imageobj);
        $res->resource('Shading',$shadekey,$shadeobj);
        $res->resource('ColorSpace',$spacekey,$speceobj);

    Note: You only have to add the required resources, if they are NOT handled by the *font*, *image*, *shade* or *space* methods.

AUTHOR
alfred reibenschuh